Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 131764 - I18N - some words not from bundle on attach wizard panel
I18N - some words not from bundle on attach wizard panel
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
Sun All
: P1 (vote)
: 6.x
Assigned To: issues@profiler
issues@profiler
61fixes2-fixed
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 21:03 UTC by Ken Frank
Modified: 2008-07-10 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (72.15 KB, image/jpeg)
2008-06-19 14:50 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2008-04-01 21:03:59 UTC
on attach wizard panel 4 - locate required files -
a label says "manage platform" near select jdk platform section of that panel.

it does not appear to come from a bundle file of profiler.
Comment 1 Ken Frank 2008-04-16 02:32:57 UTC
since I think would be a simple fix, can it be done for first 6.1 patch
since it can be good to have these additional words for translations of nb6.1.

if so, it needs to be fixed in trunk first, then status whiteboard keyword can be added.

ken.frank@sun.com
Comment 2 Ken Frank 2008-04-16 17:46:21 UTC
added the status whiteboard entry for issues that could be in patch 1 for nb6.1

ken.frank@sun.com
Comment 3 J Bachorik 2008-04-21 09:42:23 UTC
The text is localized - it just doesn't come from "Bundle.properties" but "JavaPlatformPanelComponent.properties"
instead. This was generated by form editor. Closing as invalid.
Comment 4 rbalada 2008-04-21 12:17:33 UTC
In such a case it's L10N kit completeness/accuracy issue, thus I removed Status whiteboard keyword
"release61_fixes_candidate1".
Comment 5 Ken Frank 2008-04-21 15:37:16 UTC
reopening and making p1.

1. message files should be named as Bundle.properties;
in this case there is a Bundle.properties in same dir
and the messages in this file should be merged into it
or at least renamed as something like Bundle2.properties,
to match the BE l10n kit patterns.

2. making p1 since it means these messages are not in the l10n kit
and profiler team did not add this file to be included in the l10n kit
patterns file (not same one as for 6.0) - this needs to happen
now since translation team is already translating and kit has been
assumed complete - info on how to change this file was sent to profiler
mgmt some weeks ago.

I realize this file might have been in prev profiler and might have been
custom included in l10n kit then but process for doing kits is different
for 6.1

--> please put fix in trunk and release61 branch - no approval is needed since
this is not product fix.

ken.frank@sun.com
Comment 6 Ken Frank 2008-04-22 07:37:26 UTC
also this file needs to go into the kit
org/netbeans/modules/profiler/attach/panels/components/StepsPanelComponent.properties

so it needs pattern in l10n kit BE patterns file.

ken.frank@sun.com
Comment 7 J Bachorik 2008-04-22 08:53:58 UTC
fixed

changeset:   78808:cd670d89318e
tag:         tip
user:        yardus@netbeans.org
date:        Tue Apr 22 09:53:29 2008 +0200
summary:     #131764 - moved messages from incorrectly named properties file to a unified Bundle.properties
Comment 8 Ken Frank 2008-04-22 15:38:31 UTC
if fix is not in release61 branch, can it be placed there since kit is
built from release61.

ken.frank@sun.com
Comment 9 Ken Frank 2008-05-01 18:43:30 UTC
reopening - in the bundle file mentioned in changeset,
dont see those added messages in the l10n kit -

l10n kits are at, for example,
/net/smetiste.czech/space/builds/netbeans/6.1/daily/2008-05-01_03-01-43/zip/ide-l10n-200805010104.zip

could be that fix is not into release61 branch ?
the kit is built from release61.

ken.frank@sun.com

Comment 10 Ken Frank 2008-05-02 08:45:54 UTC
to dev and sustaining, perhaps I should not have reopened this -
since this issue had code changes besides bundle file changes,
it would mean that the en fcs would be different than ml
fcs, and it should not be.

thus this one should be part of patch, since its my understanding
that patch changes/fixes can be translated.

yes it means that some msgs in ml fcs will be in english
but the patch will be coming soon.

--> can this be added back to patch 1 ? it was originally for patch
1 but status whiteboard entry was removed since it was thought it
was for l10n kit only, but it can't be since fixes like this need
code changes also.

I will change back to fixed and verified.

ken.frank@sun.com
Comment 11 Ken Frank 2008-05-07 16:54:09 UTC
changing to patch 2 status whiteboard entry
and adding sustaining to cc list
so it can be in patch 2.

NOTE - there are code changes as part of this issue, its
not just in a properties file; thats why it can't go
into release61 itself.

ken.frank@sun.com
Comment 12 Ken Frank 2008-05-07 19:52:35 UTC
verified in trunk that now the messages that were in those file not named
as Bundle.properties, are in Bundle.properties now, and those other files
are not now in the en jar.

thus this issue could be part of patch 2.

ken.frank@sun.com
Comment 13 pgebauer 2008-05-30 17:07:26 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/rev/a3ffccf75932
Comment 14 kaa 2008-06-19 14:50:23 UTC
Re-verified. Step 4 of the wizard looks properly localized with patch2.
I did the following steps to setup patches:

1) Make sure that 6.1 IDE home directory doesn't exist. If exist, please delete it (or rename it)
2) Download and install NetBeans IDE 6.1 FCS Full distribution ( Bits are available on
http://download.netbeans.org/netbeans/6.1/final/  column "All". )
3) After IDE start, select menu Tools -> Plugins and select tab "Settings"
4) Select tab Updates and click on button "Reload Catalog"
5) Click on button "Update" and install all 61patch1 24 plugins from Stable AUC.
6) After IDE start, select menu Tools -> Plugins and select tab "Settings"
7) Add new UC with following URL: http://bits.netbeans.org/netbeans/6.1/fixes/2008-06-17_03-01-08/uc/catalog.xml.gz
8) Select tab Updates and click on button "Reload Catalog"
9) Click on button "Update" and install both plugins (the part 1 of 61patch2).
10) After restart, again select tab Updates and click on button "Update" and install all 24 plugins (the part 2 of
61patch2).


Comment 15 kaa 2008-06-19 14:50:59 UTC
Created attachment 63104 [details]
image
Comment 16 kaa 2008-06-19 18:53:09 UTC
checked using WinXP and Solaris 10


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo